using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication2
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] NK = Console.ReadLine().Split();
            int N = int.Parse(NK[0]);
            int K = int.Parse(NK[1]);
            string slova = Console.ReadLine();

            for (int i = 0; i < N; i++)
            {
                string podniz = slova.Substring(0,i + 1);
                if (podniz == "a" || podniz == "aa" || podniz == "aaa" || podniz == "aaaa" || podniz == "aaaaa" || podniz == "b" || podniz == "bb" || podniz == "bbb" || podniz == "bbbb" || podniz == "bbbbb")
                {
                    Console.Write("1 ");
                }
                else if(podniz == "ab" || podniz == "ba")
                {
                    Console.Write("2 ");
                }
                else if (podniz == "aab" || podniz == "aba" || podniz == "abb" || podniz == "baa" || podniz == "bab" || podniz == "bba")
                {
                    Console.Write("2 ");
                }
                else if (podniz == "aaab" || podniz == "aaba" || podniz == "abaa" ||podniz == "abbb" ||podniz == "baaa" ||podniz == "babb" ||podniz == "bbab" ||podniz == "bbba")
                {
                    Console.Write("2 ");
                }
                else if (podniz == "abab" || podniz == "abba" || podniz == "baab" || podniz == "baba")
                {
                    Console.Write("3 ");
                }
                else if (podniz == "aabb" || podniz == "bbaa")
                {
                    Console.Write("2 ");
                }
                else if(podniz == "aaaab" ||podniz == "aaaba" ||podniz == "aaabb" ||podniz == "aabaa" ||podniz == "aabbb" ||podniz == "abaaa" ||podniz == "abbbb" ||podniz == "baaaa" ||podniz == "bbaaa" ||podniz == "bbabb" ||podniz == "bbbaa" ||podniz == "bbbba")
                {
                    Console.Write("2 ");
                }
                else if (podniz == "bbbab" || podniz == "bbaba" || podniz == "bbaab" || podniz == "babbb" || podniz == "babba" || podniz == "babab" || podniz == "aabab" || podniz == "aabba" || podniz == "abaab" || podniz == "ababa" || podniz == "ababb" || podniz == "abbaa" || podniz == "abbab" || podniz == "abbba" || podniz == "baaab" || podniz == "baaba" || podniz == "baabb" || podniz == "babaa")
                {
                    Console.Write("3 ");
                }
                else
                {
                    Console.Write("3 ");
                }
            }
        }
    }
}